Bug 1125761 (CVE-2014-5165) - CVE-2014-5165 wireshark: ASN.1 BER dissector crash (wnpa-sec-2014-11)
Summary: CVE-2014-5165 wireshark: ASN.1 BER dissector crash (wnpa-sec-2014-11)
Keywords:
Status: NEW
Alias: CVE-2014-5165
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20140617,repor...
Depends On: 1125768
Blocks: 1125771
TreeView+ depends on / blocked
 
Reported: 2014-08-01 03:03 UTC by Murray McAllister
Modified: 2019-06-08 20:07 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Murray McAllister 2014-08-01 03:03:04 UTC
It was reported that Wireshark's ASN.1 BER dissector could crash. It may be possible to make Wireshark crash by injecting a malformed packet onto the wire or by convincing someone to read a malformed packet trace file.

This is reported to affect Wireshark versions 1.10.0 to 1.10.8. It is fixed in 1.10.9.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=10187

External References:

http://www.wireshark.org/security/wnpa-sec-2014-11.html

Comment 1 Murray McAllister 2014-08-01 03:14:26 UTC
Created wireshark tracking bugs for this issue:

Affects: fedora-all [bug 1125768]

Comment 2 Fedora Update System 2014-08-07 15:32:16 UTC
wireshark-1.10.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Huzaifa S. Sidhpurwala 2014-08-20 06:36:35 UTC
Statement:

This issue does not affect the version of wireshark as shipped with Red Hat Enterprise Linux 5 and 6. This issue affects the version of wireshark as shipped with Red Hat Enterprise Linux 7. A future update may address this issue.


Note You need to log in before you can comment on or make changes to this bug.